---
title: "FAQ"
date: "2021-09-01T13:03:54+02:00"
draft: false
---

About the no-JS.club[https://no-JS.club] project

{{< detail-tag "How to join the no-JS club?" >}}
## Instructions
If you're interested in getting your site added to the no-JS club, all you need to do is to follow this step-by-step guide:

1. 🤞 Use [GTMetrix](https://gtmetrix.com) to analyse your website 🤞

2. Once complete, click on **"Waterfall"** and note 📝 the uncompressed size of transfered data

![Accepted domain - All tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_all.webp)

3. Next click on the **"JS"** tab to make sure your homepage doesn't contain JS code

### 🙌  No JavaScript Detected 🙌
![Accepted domain - JS tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_js.webp)

### 😞 JavaScript Detected! 😞
![Denied domain - JS tab GTmetrix analyse result](/assets/no-js/denied_gtmetrix_waterfall_js.webp)

4. If your website satisfies the requirement, [submit a ticket 🎫 on sourcehut](https://todo.sr.ht/~hmbrg/no-JS)

### Example Of A Filled Ticket
![sourcehut membership request ticket](/assets/no-js/membership-request-ticket.webp)

5. Once your request is approved, the domain will be added to the member list below

Note: I reserve the right to not add sites based on whether I think they're suitable to be added or not

[Example ticket showcasing an accepted request 🙌](https://todo.sr.ht/~hmbrg/no-JS/1#event-1)

[Example ticket showcasing a denied request 😢](https://todo.sr.ht/~hmbrg/no-JS/2)
{{< /detail-tag >}}

{{< detail-tag "Wasn't the project as well as the website called noJS.club before?" >}}
Yes, you are right! But sadly because of reasons [Karan Goel](https://goel.io/nojs-club), the founder of the [noJS.club](https://noJS.club) project, archived the corresponding [GitHub repository](https://github.com/karan/nojs.club) which means that nobody is able to request for membership.

So the [no-JS.club](https://no-JS.club) is the successor to Karan's project and anyone interested in becoming a member can open a [ticket](https://todo.sr.ht/~hmbrg/no-JS) and apply for membership.
{{< /detail-tag >}}

{{< detail-tag "When will I become a member?" >}}
Once your request is approved, the website mentioned via support ticket will become a proud member of the [no-JS.club](https://no-JS.club) and will be listed on the front page of the project website.
{{< /detail-tag >}}

{{< detail-tag "Will membership cost me anything?" >}}
Good that you ask - well, hm... **no!**

[no-JS.club](https://no-js.club) **membership is absolutely free of charge**.
We don't ask for money and don't expect anything else in return, **except the request for [membership](https://todo.sr.ht/~hmbrg/no-JS) via support ticket**.
{{< /detail-tag >}}


{{< detail-tag "I have further questions?!?" >}}
Please direct all further questions to my eMail address: `*no-JS {at} hmbrg {dot} org*`.
{{< /detail-tag >}}
